if(isObject(brickGraveStoneData))
{
	brickGraveStoneData.category = "Special";
	brickGraveStoneData.subCategory = "Gravestones";
}
else
{
	echo("Brick_Halloween isn't activated, creating default gravestone datablock ourselves");
	if(isFile("Add-Ons/Brick_Halloween/gravestone.blb"))
	{
		datablock fxDTSBrickData(brickGraveStoneData)
		{
			brickFile = "Add-Ons/Brick_Halloween/gravestone.blb";
			category = "Special";
			subCategory = "Gravestones";
			uiName = "Gravestone";
			iconName = "Add-Ons/Brick_Halloween/gravestone";
		};
	}
	else
		error("Add-Ons/Brick_Halloween/gravestone.blb doesn't exist. What did you do?");
}

datablock fxDTSBrickData(brickGraveStoneNoCrossData)
{
	brickFile = "./bricks/GravestoneNoCross.blb";
	category = "Special";
	subCategory = "Gravestones";
	uiName = "Gravestone No Cross";
	iconName = "Add-Ons/Brick_Gravestones/icons/GravestoneNoCross";
};

datablock fxDTSBrickData(brickGraveStonePrintData)
{
	brickFile = "./bricks/GravestonePrint.blb";
	category = "Special";
	subCategory = "Gravestones";
	uiName = "Gravestone Print";
	iconName = "Add-Ons/Brick_Gravestones/icons/GravestonePrint";
	
	hasPrint = 1;
	printAspectRatio = "1x1";
};

datablock fxDTSBrickData(brickGraveStoneBlockData)
{
	brickFile = "./bricks/GravestoneBlock.blb";
	category = "Special";
	subCategory = "Gravestones";
	uiName = "Gravestone Block";
	iconName = "Add-Ons/Brick_Gravestones/icons/GravestoneBlock";
};

datablock fxDTSBrickData(brickGraveStoneBlockNoCrossData)
{
	brickFile = "./bricks/GravestoneBlockNoCross.blb";
	category = "Special";
	subCategory = "Gravestones";
	uiName = "Gravestone Block No Cross";
	iconName = "Add-Ons/Brick_Gravestones/icons/GravestoneBlockNoCross";
};

datablock fxDTSBrickData(brickGraveStoneBlockPrintData)
{
	brickFile = "./bricks/GravestoneBlockPrint.blb";
	category = "Special";
	subCategory = "Gravestones";
	uiName = "Gravestone Block Print";
	iconName = "Add-Ons/Brick_Gravestones/icons/GravestoneBlockPrint";
	
	hasPrint = 1;
	printAspectRatio = "1x1";
};